Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037016
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2017-10-05 18:352018-01-03 12:38
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision496379681c62
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037016: Print and E-mail toolbar buttons should be disabled when editing a new record in grid view

DescriptionPrint toolbar button should be disabled when editing a new record in grid view. It is indeed disabled when editing a new record in form view. Otherwise, it is possible to send a print request with a non-existent record ID, causing an error message to be displayed in the UI.

The same applies for the E-mail button.
Steps To Reproduce1) Go to the [Sales Order] window
2) Create a new record in grid view
3) Without saving it, click on the print button of the toolbar. An error is displayed (See attached).
TagsNo tags attached.
Attached Filespng file icon error.png [^] (99,542 bytes) 2017-10-05 18:35

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0016310 closedshankarb print button in grid should be disabled when no rows are is selected or grid is empty. 

-  Notes
(0099780)
hgbot (developer)
2017-10-05 18:48

Repository: erp/devel/pi
Changeset: 496379681c62138aca6a89596bb33efee8c7c3b9
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Oct 05 18:31:11 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/496379681c62138aca6a89596bb33efee8c7c3b9 [^]

fixes bug 37016: Disable print/e-mail buttons on record creation in grid view

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0099819)
alostale (developer)
2017-10-09 09:04

reviewed + tested
(0101319)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-10-05 18:35 caristu New Issue
2017-10-05 18:35 caristu Assigned To => platform
2017-10-05 18:35 caristu File Added: error.png
2017-10-05 18:35 caristu Modules => Core
2017-10-05 18:35 caristu Triggers an Emergency Pack => No
2017-10-05 18:36 caristu Assigned To platform => caristu
2017-10-05 18:36 caristu Relationship added related to 0016310
2017-10-05 18:43 caristu Summary Print button should be disabled when editing a new record in grid view => Print and E-mail toolbar buttons should be disabled when editing a new record in grid view
2017-10-05 18:43 caristu Description Updated View Revisions
2017-10-05 18:48 hgbot Checkin
2017-10-05 18:48 hgbot Note Added: 0099780
2017-10-05 18:48 hgbot Status new => resolved
2017-10-05 18:48 hgbot Resolution open => fixed
2017-10-05 18:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/496379681c62138aca6a89596bb33efee8c7c3b9 [^]
2017-10-05 18:48 caristu Review Assigned To => alostale
2017-10-09 09:04 alostale Note Added: 0099819
2017-10-09 09:04 alostale Status resolved => closed
2017-10-09 09:04 alostale Fixed in Version => 3.0PR18Q1
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101319


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker